 /**
 * This demo was prepared for you by Petr Tichy - Ihatetomatoes.net
 * Want to see more similar demos and tutorials?
 * Help by spreading the word about Ihatetomatoes blog.
 * Facebook - https://www.facebook.com/ihatetomatoesblog
 * Twitter - https://twitter.com/ihatetomatoes
 * Google+ - https://plus.google.com/u/0/109859280204979591787/about
 * Article URL: http://ihatetomatoes.net/simple-parallax-scrolling-tutorial/
 */



( function( $ ) {

	
	
	// Setup variables
	$window = $(window);
	$slide = $('.parallax');
	$body = $('body');
	
    //FadeIn all sections   
	$body.imagesLoaded( function() {
		setTimeout(function() {
		      
		      var windowScreen = $(window).width();
				if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) { 

					
				} else{
				      // Resize sections
				      adjustWindow();
				      pagelocations();
				  }
			  
			  
		      
		      // Fade in sections
			  $body.removeClass('loading').addClass('loaded');
			  
		}, 800);
	});
	
	function adjustWindow(){
		
		// Init Skrollr
		var s = skrollr.init({
		    forceHeight: false,
		    render: function(data) {
		    
		        //Debugging - Log the current scroll position.
		        //console.log(data.curTop);
		    }
		});
		
		// Get window size
	    winH = $window.height();
	    
	    // Keep minimum height 550
	    if(winH <= 550) {
			winH = 550;
		} 
	    //winH = 345;//make all 500
	    // Resize our slides
	    $slide.height(winH);
	    
	    // Refresh Skrollr after resizing our sections
	    s.refresh($('.parallax'));
	    
	}
	//$('.carousel').carousel('pause');
	//adjust top possion
	//$("body").css({'padding-top':$('#header').height()});
	//init events for scrolling buttons
	$('.scrollto').bind('click',function(e){
		e.preventDefault();
		scrollto($(this).attr('href'));
	});
	
	
	//onScroll();
	
	$('#aboutMenu a').bind('click',function(e){
		e.preventDefault();
		var target = $(this).attr('href');
		$(this).parents('.ui.tabs').find('.content.active').removeClass('active');
		$('#aboutMenu a.active').removeClass('active');
		$(this).addClass('active');
		$(target).addClass('active');
	});
	
	
	
} )( jQuery );

function onScroll(){
	var navItem = $('#nav a.scrollto');


	
	//var targetOffset = (Math.floor(target) == target && $.isNumeric(target)) ? Math.floor(target) : $(target).offset().top-$('#header').height();
	$(window).scroll(function(e){
		// var currentScroll = $(window).scrollTop();
		// var offsets = [];
		// $.each(navItem,function(){
		// 	var target = $(this).attr('href');
		// 	var targetOffset = (Math.floor(target) == target && $.isNumeric(target)) ? Math.floor(target) : $(target).offset().top-$('#header').height();
		// 	offsets.push(targetOffset);
			
		// });

	//console.log('scroll');
		//for(var i == 0; i < )
		//console.log(currentScroll);
		//console.log(offsets[3]);
		
		// if(currentScroll <= offsets[1]-500){
		// 	$('#nav a.active').removeClass('active');
		// 	$(navItem[0]).addClass('active');
		// } else if(currentScroll >= offsets[1]-400 && currentScroll < offsets[1]+550){
		// 	$('#nav a.active').removeClass('active');
		// 	$(navItem[1]).addClass('active');
		// } else if(currentScroll >= offsets[2]-400 && currentScroll < offsets[2]+500){
		// 	$('#nav a.active').removeClass('active');
		// 	$(navItem[2]).addClass('active');
		// } else if(currentScroll > offsets[2]+500){
		// 	$('#nav a.active').removeClass('active');
		// 	$(navItem[3]).addClass('active');
		// }
		
	});
}

function pagelocations(){
	var loc = window.location.href;
	//scroll to section
	if(loc.indexOf('#')>0){
		var pageSection = loc.substring(loc.lastIndexOf('#'));
		if($(pageSection).length > 0){
			scrollto(pageSection);
		}		
	}
}

function scrollto(target){
	var body = $("html, body");
	var to = (Math.floor(target) == target && $.isNumeric(target)) ? Math.floor(target) : $(target).offset().top-$('#header').height();
	body.animate({scrollTop:to}, 1000, 'swing');
}