$(document).ready(function(){
	var debugMode = false; 
	/*
		below will catch submit from form that has form_ajax class
		will hold page to refresh page and will handle the form data
		and post it as ajax post it action value
	*/
	$(document).on("submit",".form_ajax",function(event){
		event.preventDefault(); //to hold the form so the page will not refreshed to actionValue
		var actionValue = $(this).attr("action"); //to get action attribut value
		var formData	= $(this).serialize(); //to get all form data
		var lodingText 	= $(".form_ajax .change-loading-text").attr("text-loading");
		var defaultText	= $(".form_ajax .change-loading-text").html();

		$(".form_ajax input").attr("readonly","readonly"); 
		$(".form_ajax button").attr("disabled","disabled");
		$(".form_ajax .change-loading-text").html(lodingText);

		$(".form_ajax [class$=_info]").html("");

		//sent form data using ajax
		$.ajax({
			type 	: "POST", //with POST request
			data 	: formData, //sent formData
			url 	: actionValue, //to url (value of action attribute)
			success	: function(response){ //get response from process file
				if(debugMode==true){
					alert(response);
				}
				var parseResponse = JSON.parse(response);
                if(parseResponse.redirectPage!=""){
                	location.href=parseResponse.redirectPage;
                }else{
					$.each(parseResponse.errorArray, function( key, value ) {
	                    var message     = value.message;
	                    var classto     = value.classto;
	                    $("."+classto).html(message);
	                });
	                $("."+parseResponse.classto).html(parseResponse.message);
                }

                $(".form_ajax input").removeAttr("readonly");
				$(".form_ajax button").removeAttr("disabled");
				$(".form_ajax button").html(defaultText);
			}
		});
	});
});


document.getElementById("foot01").innerHTML =
"<p>&copy;  " + new Date().getFullYear() + " W3Schools. All rights reserved.</p>";

document.getElementById("nav01").innerHTML =
"<ul id='menu'>" +
"<li><a href='index.html'>Home</a></li>" +
"<li><a href='customers.html'>Data</a></li>" +
"<li><a href='about.html'>About</a></li>" +
"</ul>";

